Пример HTTP-запроса с помощью утилиты telnet:

![telnet http head](http://i.imgur.com/KzFY5KI.gif "telnet http head")

Ниже – дополнительная информация для ознакомления с протоколом HTTP. Мы советуем ознакомиться как минимум с первыми ссылками в каждой категории.

**HTTP**

- [Простым языком об HTTP](http://habrahabr.ru/post/215117/) (большая часть этой информации представлена в видео выше)
- [Предпосылки создания и развития протокола HTTP, история](http://bugov.net/http-story/index.html)
- [Формат HTTP-запросов](http://citforum.ru/internet/cgi_tut/rqst.shtml)
- [Формат HTTP-ответов](http://citforum.ru/internet/cgi_tut/spns.shtml)

**REST**

- [Архитектура REST](http://habrahabr.ru/post/38730/)
- [Типы HTTP-запросов и философия REST](http://habrahabr.ru/post/50147/)
- [Разработка web API](http://habrahabr.ru/post/181988/)
- [REST vs SOAP. Часть 1. Почувствуйте разницу](http://habrahabr.ru/post/131343/)
- [REST vs SOAP. Часть 2. Как проще и эффективнее организовать общение платформ?](http://habrahabr.ru/blogs/webdev/134303/)

**WebSockets**

- [Полноценный асинхронный веб](http://habrahabr.ru/post/79038/)
- [Nginx и Websockets](http://habrahabr.ru/post/171757/)

**HTTPS**

- [Что такое протокол HTTPS, и как он защищает вас в интернете](http://blog.yandex.ru/post/77455/)
- [Алгоритм Диффи-Хеллмана (видео)] (https://www.youtube.com/watch?v=VBDJ0ERjnD4)

**Кэширование**

- [Учебное пособие по кэшированию, Часть 1](http://habrahabr.ru/post/203548/), [Часть 2](http://habrahabr.ru/post/204464/)

**Спецификация HTTP**

- [RFC1945. Hypertext Transfer Protocol – HTTP/1.0](https://tools.ietf.org/html/rfc1945)
- [RFC2616. Hypertext Transfer Protocol – HTTP/1.1](https://tools.ietf.org/html/rfc2616)

**Протокол SPDY**

- [Google SPDY: жизнь после HTTP 1.1](http://habrahabr.ru/post/117230/)
- [Разбор протокола SPDY командой Opera Software](http://habrahabr.ru/post/145564/)
- [Результаты применения SPDY на сайтах Google](http://habrahabr.ru/post/202998/)
- [Поддержка SPDY в nginx](http://habrahabr.ru/post/145918/)

**Нижние слои**

- [Общая информация о стеке протоколов TCP/IP и IP-сетях](http://citforum.ru/nets/ip/contents.shtml)
- [Модель OSI](http://citforum.ru/nets/switche/osi.shtml)
